function param = setParam()

param = [];

% model hierachy
param.network = {
	struct('type', 'input') %input layer
    struct('type', 'convolution', 'outputMaps', 24, 'kernelSize', 11, 'actFun', 'sigmoid') %convolution layer
	struct('type', 'subsampling', 'scale', 2, 'actFun' , '') %sub sampling layer
    struct('type', 'convolution', 'outputMaps', 36, 'kernelSize', 6, 'actFun', 'sigmoid') %convolution layer
	struct('type', 'subsampling', 'scale', 2, 'actFun' , '') %sub sampling layer
	struct('type', 'fullconnected', 'size', 50, 'actFun', 'sigmoid')
    struct('type','classification', 'actFun', '') % classification layer
};

% model constraint
model = [];
model.weightDecay = 1e-4;
model.sparseBias = 0; 
model.sparseLambda = 0;
param.model = model;

% parameters that relate to the implementation, irrelevant to the model
opts = [];
opts.batchSize = 100;
opts.numEpochs = 60;
opts.learningRate = 0.1 ;
opts.momentum = 0.9;
param.opts = opts;